Subject: Re: [PATCH 3/4] Teach git-describe to display distances from tags.

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 28 Jan 2007 02:24:49 -0500

Johannes Schindelin <[email-masked]> wrote:
> On Sat, 27 Jan 2007, Junio C Hamano wrote:
> > "Shawn O. Pearce" <[email-masked]> writes:
> > 
> > > The + format is much easier to read and understand than the - format 
> > > original proposed by Junio.
> > 
> > I tend to disagree (I do not claim + is _less_ easier to read, though).
> > 
> > They are of comparable readability, and I think plus breaks 
> > GIT-VERSION-GEN (the primary reason it replaces '-' to '.' is to work 
> > around RPM limitation IIRC, and I do not know what '+' does to RPM 
> > offhand).
> 
> Note that scripts using git-describe to name archives break also on 
> challenged file / operating systems. IIRC on DOS/FAT32 '+' has problems 
> with it.
> 
> > But I do not have a strong feeling either way.
> 
> Neither have I.

Me neither, actually.  The + just felt more right, as its literally
"that tag, plus n commits".

But if + is going to cause pain on operating systems that somehow
decided disallowing bytes other than NUL was OK and the right thing
to do, then maybe - is the safer choice here.

-- 
Shawn.